﻿using CoreLibrary.Joueurs;
using CoreLibrary;
using CoreLibrary.Regles;

namespace CoreLibrary.Manager
{
    public class Manager : IPersistanceManager
    {
        private Joueur[] joueurs = [];
        public IReadOnlyList<Joueur> Joueurs => Array.AsReadOnly(joueurs);


        public Partie Partie { get; private set; }

        public Manager()
        {
            Partie = new Partie(new ReglesClassiques());
        }

        public void Charger()
        {
            joueurs = [
                new Joueur("Pauline", 50, 5, 2, 0),
                new Joueur("Céleste", 40, 6, 2, 0),
                new Joueur("Camille", 55, 8, 0, 1),
                new Joueur("Toto", 70, 0, 0, 10),
            ];
        }


        public void Enregistrer()
        {
            throw new NotImplementedException();
        }

    }
}
